# DataExchange
TKXSBase
TransferBRep

# TransferBRep_ShapeInfo Class Reference

Gives informations on an object, see template DataInfo
This class is for Shape
.

`#include <TransferBRep_ShapeInfo.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_Standard_Type | Type (const TopoDS_Shape &ent)
| Returns the Type attached to an object Here, TShape (Shape has no Dynamic Type) .
static Standard_EXPORT Standard_CString | TypeName (const TopoDS_Shape &ent)
| Returns Type Name (string) Here, the true name of the Type of a Shape .

## Member Function Documentation

void TransferBRep_ShapeInfo::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TransferBRep_ShapeInfo::operator new | ( | size_t | size | ) | `[inline]`

void* TransferBRep_ShapeInfo::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_Standard_Type TransferBRep_ShapeInfo::Type | ( | const TopoDS_Shape & | ent | ) | `[static]`

static Standard_EXPORT Standard_CString TransferBRep_ShapeInfo::TypeName | ( | const TopoDS_Shape & | ent | ) | `[static]`

The documentation for this class was generated from the following file:

- TransferBRep_ShapeInfo.hxx